Subject: [spring] SRv6 And ICMP Processing

From: Ron Bonica <[email-masked]>
Date: Mon, 25 Nov 2019 19:18:50 +0000

Pablo,

Assume that an SRv6 implementation receives the following packet:

  *   IPv6 Header
     *   Destination Address is a locally instantiated END.DX4 SID
     *   Next Header is ICMPv6
  *   ICMPv6 Header
     *   Type is Parameter Problem

Section 4.5 of draft-ietf-spring-srv6-network-programming-05 suggests that the implementation would respond by sending another ICMPv6 Parameter Problem message. This would violate RFC 4443, Section 2.4.e.

You might want to add some text to the draft stating compliance with the rules in Section 2.4 of RFC 4443.

                                                                                     ROn

Juniper Business Use Only